@echo off

REM ##### 初期設定 #####
set MODULES_DIR=modules
set MOD_JK_FILE_NAME=mod_jk.so

REM ##### 引数取得 #####
set MOD_JK_BIN_PATH=%~1
set APACHE_HOME=%~2

REM ##### 初期処理 #####
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)

REM ##### インストール #####
mkdir "%APACHE_HOME%%MODULES_DIR%"
copy /b /y "%MOD_JK_BIN_PATH%" "%APACHE_HOME%%MODULES_DIR%\%MOD_JK_FILE_NAME%"
